<template>
  <div id="app">
    <div class="tab">
      <ul class="nav nav-tabs">
        <li :class="{'active' : current==='login'}" @click="choseTab('login')">Login</li>
        <li :class="{'active' : current==='registration'}" @click="choseTab('registration')">Registration</li>
      </ul>
      <div class="tab-content">
        <keep-alive>
          <component v-bind:is="current"></component>
        </keep-alive>
      </div>
    </div>
  </div>
</template>

<script>
import registration from './components/registration.vue'
import login from './components/login.vue'

export default {
  name: 'app',
  components: {registration,login},
    data() {
      return {
          tab: 1,
          current: 'login'
      }
    },
    methods: {
        choseTab (componentName) {
            this.current = componentName
        }
    }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  width: 400px;
  margin: 60px auto;
  box-shadow: 0 0 5px rgba(0,0,0,0.2);
}
  .nav {
    display: flex;
    justify-content: center;
    border: 0;
  }
  .nav li {
    padding: 10px 10px;
    flex: 1 1;
    text-align: center;
    background: #cecece;
    cursor: pointer;
  }
  .nav li.active {
    background: #fff;
  }
  .tab-content {
    padding: 20px;
  }
  .btn {
    padding: 5px 15px;
    border: 1px solid #cecece;
    cursor: pointer;
  }
  .btn.disabled {
    opacity: 0.5;
    cursor: default;
  }
  .thank-you {
    text-align: center;
    padding: 20px 0;
  }
</style>
